// Very very basic vertex shader
#version 440

// Attributes (per vertex information)
layout(location = 0) in vec3 a_Position;

// Uniforms:
// layout(location = 0) uniform mat4 u_ModelMatrix;
// Location 1 is used for shadowmap
// layout(location = 2) uniform bool u_isRigged;
// layout(location = 3) uniform mat4 u_BoneTransforms[MAX_BONES];
layout(location = 4) uniform mat4 u_SkyBoxPVM;

//Varying:
layout(location=0) out vec3 v_TexCoords;


void main(){
	v_TexCoords = a_Position;
	//ToDo get view matrix without translation as uniform

	vec4 pos = u_SkyBoxPVM * vec4(a_Position, 1.0);

	//mat4 view = mat4(mat3(u_ViewMatrix));
	//vec4 pos = u_ProjectMatrix * view * vec4(a_Position, 1.0);
	gl_Position = pos.xyww;
}